<?php

namespace App\Controllers\Admin;

use App\Models\UserSNSModel;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class UserSNSController extends AdminController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->_model = new UserSNSModel();
        $this->_viewDatas['className'] = 'UserSNS';
        $this->_viewPath .= strtolower($this->_viewDatas['className']);
        $this->_viewDatas['title'] = lang($this->_viewDatas['className'] . '.title');
        $this->_viewDatas['class_icon'] = CLASS_ICONS[strtoupper($this->_viewDatas['className'])];
        helper($this->_viewDatas['className']);
    }
    public function getFields(string $action = ""): array
    {
        $fields = ["site", "id", 'name', "email", "detail", "status"];
        switch ($action) {
            case "index":
            case "excel":
                return ["user_uid", "site", "id", 'name', "email",  "status", "created_at"];
                break;
            case "view":
                return [...$fields, "updated_at", "created_at"];
                break;
            default:
                return $fields;
                break;
        }
    }
    public function getFieldFilters(): array
    {
        return ["user_uid", "status"];
    }
    public function getFieldBatchFilters(): array
    {
        return parent::getFieldBatchFilters();
    }
}
